datafu-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eyal Allweil (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DATAFU-132) Make DataFu compile with Java 8
Date Mon, 14 May 2018 11:58:00 GMT

    [ https://issues.apache.org/jira/browse/DATAFU-132?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16474076#comment-16474076
] 

Eyal Allweil commented on DATAFU-132:
-------------------------------------

I think this is the most important issue to solve - not being able to build with something
other than Java 7 is a big turn-off for possible developers.

> Make DataFu compile with Java 8
> -------------------------------
>
>                 Key: DATAFU-132
>                 URL: https://issues.apache.org/jira/browse/DATAFU-132
>             Project: DataFu
>          Issue Type: Improvement
>    Affects Versions: 1.4.1
>            Reporter: Eyal Allweil
>            Priority: Major
>         Attachments: DATAFU-132.patch
>
>
> Currently DataFu only compiles with Java 7. It would be great if Java 8+ could be used.
The attached patch makes this possible by making the Java version check more permissive (anything
above Java 7).
> I've done a build and tests, and deployed the resulting jar and tested a macro and UDF
with it, compiling with Java 8.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message